List sanctions logs
List screening attempts in the API key’s environment.
GET
/
v1
/
sanctions
/
logs
curl "https://api.zquence.ai/v1/sanctions/logs?userId=customer-1842&status=possible_match" \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"items": [
{
"_id": "68bbd741f4c6f683f94ca210",
"caseId": "68bbd741f4c6f683f94ca211",
"attemptId": "68bbd741f4c6f683f94ca212",
"userId": "customer-1842",
"provider": "sanctionsio",
"status": "possible_match",
"matchScore": 0.9425,
"matchedLists": ["UK-SANCTIONS"],
"entityName": "Jane Merchant",
"entityCountry": "DE",
"billable": true,
"createdAt": "2026-08-12T10:15:32.000Z"
}
],
"total": 1,
"page": 1,
"limit": 50,
"totalPages": 1
}
Requires API-key scope
sanctions.read and tenant permission log.view.
Query parameters
string
string
string
string
string
string
ISO 8601 date or timestamp.
string
ISO 8601 date or timestamp.
number
default:"1"
number
default:"50"
curl "https://api.zquence.ai/v1/sanctions/logs?userId=customer-1842&status=possible_match" \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"items": [
{
"_id": "68bbd741f4c6f683f94ca210",
"caseId": "68bbd741f4c6f683f94ca211",
"attemptId": "68bbd741f4c6f683f94ca212",
"userId": "customer-1842",
"provider": "sanctionsio",
"status": "possible_match",
"matchScore": 0.9425,
"matchedLists": ["UK-SANCTIONS"],
"entityName": "Jane Merchant",
"entityCountry": "DE",
"billable": true,
"createdAt": "2026-08-12T10:15:32.000Z"
}
],
"total": 1,
"page": 1,
"limit": 50,
"totalPages": 1
}
⌘I
curl "https://api.zquence.ai/v1/sanctions/logs?userId=customer-1842&status=possible_match" \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"items": [
{
"_id": "68bbd741f4c6f683f94ca210",
"caseId": "68bbd741f4c6f683f94ca211",
"attemptId": "68bbd741f4c6f683f94ca212",
"userId": "customer-1842",
"provider": "sanctionsio",
"status": "possible_match",
"matchScore": 0.9425,
"matchedLists": ["UK-SANCTIONS"],
"entityName": "Jane Merchant",
"entityCountry": "DE",
"billable": true,
"createdAt": "2026-08-12T10:15:32.000Z"
}
],
"total": 1,
"page": 1,
"limit": 50,
"totalPages": 1
}